# DataStore

DataStore : `GlobalDataStore`

## Overview

An object that can be created or retrieved via the DataStoreService:GetDataStore() method, used to continuously store and retrieve in-game data such as player level, currency balance, equipment list, etc.

## Properties

## Methods

### ListKeysAsync

Currently not supported.

#### Parameters

| `string` InPrefix          | A prefix string used to filter the keys to enumerate. If empty, all keys are targeted; if specified, only keys starting with the given prefix are included in the result. |
| -------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `number` InPageSize        | The maximum number of keys to return per page. The default value is 50.                                                                                                   |
| `string` InCursor          | A cursor returned from a previous request, used to query subsequent pages. If empty, the query starts from the first page.                                                |
| `boolean` InExcludeDeleted | Whether to exclude deleted keys from the result. The default value is true; if set to false, keys marked as deleted will also be enumerated.                              |

#### Return

| `DataStoreKeyPages` | Returns a DataStoreKeyPages object that allows iterating through the keys of the data store on a per-page basis. |
| ------------------- | ---------------------------------------------------------------------------------------------------------------- |

#### Code Samples

## Events

## See also

{% content-ref url="/pages/UhMJ4cZ06n5d2vzza3Pw" %}
[Saving & Loading Data](/manual/script-manual/advanced-gameplay-systems/datastore.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/classes/datastore.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
